## mediawiki 1.25.5

=== debian/changelog ===
mediawiki (1:1.25.5-1) unstable; urgency=medium

  * Upgraded to new upstream release
  * Remove unneeded patches
  * Remove redrawn CC images; images provided by upstream are free
  * Fixed lintian warnings

 -- Kunal Mehta <legoktm@member.fsf.org>  Sun, 09 Aug 2015 23:49:36 +0000
