=== debian/rules ===
#!/usr/bin/make -f

DEB_VERSION:=$(shell dpkg-parsechangelog -n1 | sed -n '/^Version: /s///p')
DEB_NOEPOCH_VERSION:=$(shell DEB_VERSION=${DEB_VERSION}; echo $${DEB_VERSION\#*:})
DEB_UPSTREAM_VERSION:=$(shell DEB_NOEPOCH_VERSION=${DEB_NOEPOCH_VERSION}; echo $${DEB_NOEPOCH_VERSION%+dfsg-*})

override_dh_install:
	dh_install
	# Now some tidying up is required
	chmod a-x debian/mediawiki/usr/share/mediawiki/maintenance/dev/includes/require-php.sh
	chmod a-x debian/mediawiki/usr/share/mediawiki/maintenance/dev/includes/php.sh
	chmod a-x debian/mediawiki/usr/share/mediawiki/includes/profiler/ProfilerSectionOnly.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/includes/jobqueue/jobs/EnqueueJob.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/src/Liuggio/StatsdClient/Entity/StatsdData.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Query/SimpleQueryStringTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/oojs/oojs-ui/src/themes/mediawiki/images/icons/align-center.svg
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Suggest/CandidateGenerator/DirectGenerator.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/src/Liuggio/StatsdClient/Entity/StatsdDataInterface.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/oojs/oojs-ui/src/themes/mediawiki/images/icons/smaller-ltr.svg
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/Sum.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/Missing.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/DateRangeTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Bulk/Action/AbstractDocument.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Filter/TermsTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Query/CommonTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Filter/Indices.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/ClientTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/RangeTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Node/Info.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/CardinalityTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/GeohashGrid.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/GeoDistance.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Node/InfoTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Suggest/TermTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/IndexTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/Avg.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Query/SimpleQueryString.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Suggest/Term.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/Cardinality.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/NestedTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Type/MappingTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/Histogram.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/BulkTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/GeoDistanceTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Index/Status.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/oojs/oojs-ui/src/themes/mediawiki/images/icons/align-float-left.svg
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/ExtendedStatsTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/ValueCount.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Search.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Query/FunctionScoreTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/IpRangeTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/GlobalAggregationTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/Nested.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Query.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/MissingTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/IpRange.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/oojs/oojs-ui/src/themes/apex/images/icons/align-float-left.svg
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/oojs/oojs-ui/src/themes/mediawiki/images/icons/bigger-ltr.svg
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/ExtendedStats.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Filter/GeohashCell.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Index/SettingsTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Filter/GeohashCellTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Type/Mapping.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/oojs/oojs-ui/src/themes/mediawiki/images/icons/align-float-right.svg
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Bulk/Action.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/oojs/oojs-ui/src/themes/apex/images/icons/align-float-right.svg
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/FilterTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Query/FunctionScore.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/Terms.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/zordius/lightncandy/tests/example_helpers.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Suggest/Phrase.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Suggest/AbstractSuggest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/ValueCountTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/SumTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/GlobalAggregation.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/DateHistogramTest.php
