=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Maintainer: Kunal Mehta <legoktm@member.fsf.org>
 Build-Depends: debhelper (>= 9),
  dh-buildinfo,
- xsltproc, docbook-xml, docbook-xsl, apache2-dev
+ apache2-dev
 Homepage: https://www.mediawiki.org/
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: https://gerrit.wikimedia.org/r/mediawiki/debian.git
-Vcs-Browser: https://git.wikimedia.org/summary/?r=mediawiki/debian.git
+Vcs-Browser: https://phabricator.wikimedia.org/diffusion/MDEB/
 
 Package: mediawiki
 Architecture: all
-Depends: apache2 | httpd, php5, php5-mysql | php5-pgsql | php5-sqlite | php5-mysqlnd, php5-common (>= 5.5.0+dfsg-10~), mime-support, libjs-jquery, mediawiki-classes, ${misc:Depends}
-Recommends: mysql-server | postgresql-contrib, php5-cli, python, php-wikidiff2
-Suggests: imagemagick | php5-gd, mediawiki-extensions-math, memcached, clamav, php5-apcu, php5-intl, hhvm
+Depends: apache2 | httpd, php, php-mysql | php-pgsql | php-sqlite3 | php-mysqlnd, php-common (>= 5.5.0+dfsg-10~), php-mbstring, mime-support, libjs-jquery, mediawiki-classes, ${misc:Depends}
+Recommends: mysql-server | postgresql-contrib, php-cli, php-intl, php-curl, php-wikidiff2, python
+Suggests: imagemagick | php-gd, memcached, clamav, php-apcu, hhvm
 Breaks: fusionforge-plugin-mediawiki (<< 5.2~rc1+1~),
  mediawiki-extensions-geshi (<< 2.8~),
  mediawiki-extensions-ldapauth (<< 2.8~),
