## mediawiki 1.27.2

=== debian/changelog ===
mediawiki (1:1.27.2-1) unstable; urgency=medium

  * Improve NEWS file (Closes: #852862, #854352)
  * Imported Upstream version 1.27.2 (security release), fixing
    CVE-2017-0363, CVE-2017-0364, CVE-2017-0365, CVE-2017-0361,
    CVE-2017-0362, CVE-2017-0368, CVE-2017-0366, CVE-2017-0370,
    CVE-2017-0369, CVE-2017-0367, CVE-2017-0372

 -- Kunal Mehta <legoktm@member.fsf.org>  Thu, 06 Apr 2017 14:04:24 -0700

mediawiki (1:1.27.1-3) unstable; urgency=medium

  * Ensure mediawiki depends upon the same version of mediawiki-classes
  * Add powered by Debian icon in footer
  * Add NEWS for major version upgrade (Closes: #838965)
  * Add README for mediawiki-classes
  * Add RELEASE-NOTES-* as documentation for mediawiki
  * Recommend default-mysql-server | virtual-mysql-server instead of
    just mysql-server (Closes: #843994, #848441)
  * Use bundled jQuery (version 1) instead of Debian's jQuery, which is
    now the incompatible version 3
  * Add Provides for extensions now included in this one (Closes: #845281)

 -- Kunal Mehta <legoktm@member.fsf.org>  Tue, 13 Sep 2016 04:17:42 -0700
