## mediawiki 1.27.3

=== debian/changelog ===
mediawiki (1:1.27.3-1) unstable; urgency=medium

  * Imported Upstream version 1.27.3 (security release), that
    actually contains the fix for CVE-2017-0372 (Closes: #861585)

 -- Kunal Mehta <legoktm@member.fsf.org>  Mon, 01 May 2017 13:20:11 -0700
