## mediawiki 1.27.4

=== vendor/pear/mail_mime/tests/Makefile ===

clean:
	rm -f *.log *.php *.diff *.exp *.out



test:
	cd .. && pear run-tests tests/*.phpt && cd tests;
