=== debian/changelog ===
mediawiki (1:1.27.4-3) unstable; urgency=medium

  * Add basic tests via autopkgtest
  * Document mediawiki-jobrunner systemd unit in README.Debian

 -- Kunal Mehta <legoktm@member.fsf.org>  Sun, 03 Dec 2017 00:20:33 -0800

mediawiki (1:1.27.4-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1
  * Set Rules-Requires-Root: no
  * Remove unused lintian overrides
  * Upgrade php-apcu to a Recommends
  * Use debhelper compat 10
  * Add a systemd unit to run runJobs.php as a service
  * Get rid of unnecessary dh_installdeb override
  * Remove dead code to mess with $wgVersion
  * Synchronise upstream/signing-key.asc
  * Remove broken ConfirmEdit/Asirra.php & Vector/Vector.php symlinks
    (Closes: #857773)
  * Document descriptions and forwarded status for all patches
  * Remove unused GPL-3.0 paragraph from debian/copyright
  * Override composer-package-without-pkg-php-tools-builddep lintian warning

 -- Kunal Mehta <legoktm@member.fsf.org>  Thu, 23 Nov 2017 01:22:51 -0800

mediawiki (1:1.27.4-1) unstable; urgency=medium

  * Imported Upstream version 1.27.4 (security release), fixing
    CVE-2017-8809, CVE-2017-8810, CVE-2017-8808, CVE-2017-8811,
    CVE-2017-8812, CVE-2017-8814, CVE-2017-8815.
  * Users who used the default configuration should not be affected
    by CVE-2017-9841, but an extra .htaccess file will restrict
    web access to the vendor/ directory.

 -- Kunal Mehta <legoktm@member.fsf.org>  Tue, 14 Nov 2017 15:52:47 -0800
