=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Section: web
 Priority: optional
 Maintainer: Kunal Mehta <legoktm@member.fsf.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
  dh-buildinfo,
  apache2-dev
 Homepage: https://www.mediawiki.org/
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Git: https://gerrit.wikimedia.org/r/mediawiki/debian.git
 Vcs-Browser: https://phabricator.wikimedia.org/diffusion/MDEB/
+Rules-Requires-Root: no
 
 Package: mediawiki
 Architecture: all
-Depends: apache2 | httpd, php, php-mysql | php-pgsql | php-sqlite3 | php-mysqlnd, php-common (>= 5.5.0+dfsg-10~), php-mbstring, php-xml, mime-support, libjs-jquery, mediawiki-classes, ${misc:Depends}
-Recommends: mysql-server | postgresql-contrib, php-cli, php-intl, php-curl, php-wikidiff2, python
-Suggests: imagemagick | php-gd, memcached, clamav, php-apcu, hhvm
+Depends: apache2 | httpd, php, php-mysql | php-pgsql | php-sqlite3 | php-mysqlnd, php-common (>= 5.5.0+dfsg-10~), php-mbstring, php-xml, mime-support, mediawiki-classes (= ${binary:Version}), ${misc:Depends}
+Recommends: default-mysql-server | virtual-mysql-server | postgresql-contrib, php-cli, php-apcu, php-intl, php-curl, php-wikidiff2, python
+Suggests: imagemagick | php-gd, memcached, clamav, hhvm
 Breaks: fusionforge-plugin-mediawiki (<< 5.2~rc1+1~),
  mediawiki-extensions-ldapauth (<< 2.8~),
  mediawiki-extensions-openid (<< 2.8~),
@@ -27,6 +28,8 @@
  mediawiki-extensions-geshi
 Replaces: mediawiki-extensions-base,
  mediawiki-extensions-confirmedit,
+ mediawiki-extensions-geshi
+Provides: mediawiki-extensions-confirmedit,
  mediawiki-extensions-geshi
 Description: website engine for collaborative work
  MediaWiki is a wiki engine (a program for creating a collaboratively
