=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,4 @@
 #!/usr/bin/make -f
-
-DEB_VERSION:=$(shell dpkg-parsechangelog -n1 | sed -n '/^Version: /s///p')
-DEB_NOEPOCH_VERSION:=$(shell DEB_VERSION=${DEB_VERSION}; echo $${DEB_VERSION\#*:})
-DEB_UPSTREAM_VERSION:=$(shell DEB_NOEPOCH_VERSION=${DEB_NOEPOCH_VERSION}; echo $${DEB_NOEPOCH_VERSION%+dfsg-*})
 
 override_dh_install:
 	dh_install
@@ -26,14 +22,8 @@
 		dh_link "`echo "$$i" | sed -e s#debian/mediawiki/##`" \
 		"`echo "$$i" | sed -e s#debian/mediawiki/usr/share/mediawiki/#var/lib/mediawiki/#`"; \
 	done
-	# Use system javascript libraries
-	rm debian/mediawiki/usr/share/mediawiki/resources/lib/jquery/jquery.js
-	dh_link usr/share/javascript/jquery/jquery.min.js usr/share/mediawiki/resources/lib/jquery/jquery.js
 	# Remove Makefiles
 	find debian/mediawiki/ -iname makefile -exec rm {} \;
-	# Put debian version for mediawiki version..
-	sed -e "s#$(DEB_UPSTREAM_VERSION)#$(DEB_NOEPOCH_VERSION)#" \
-			-i debian/mediawiki/usr/share/mediawiki/includes/DefaultSettings.php
 	# Move extensions
 	mkdir -p debian/mediawiki/usr/share/doc/mediawiki
 	mv debian/mediawiki/var/lib/mediawiki/extensions/README \
@@ -49,9 +39,15 @@
 	# includes/libs is provided by mediawiki-classes
 	rm -rf debian/mediawiki/usr/share/mediawiki/includes/libs
 
-override_dh_installdeb:
-	find debian/mediawiki -depth \( -name ".cvsignore" -o -name ".gitignore" -o -name ".arch-ids" \) -exec rm -rf {} \;
-	dh_installdeb
+override_dh_systemd_enable:
+	# Do not enable by default, the user needs to manually
+	# configure MediaWiki first.
+	dh_systemd_enable --no-enable --name=mediawiki-jobrunner
+
+override_dh_installinit:
+	# We only have a systemd unit, not sysvinit.
+	# Can be removed in debhelper compat 11
+	dh_installinit -Nmediawiki
 
 %:
 	dh $@ --with apache2
