## mediawiki 1.27.5

=== debian/changelog ===
mediawiki (1:1.27.5-1~deb9u1) stretch-security; urgency=medium

  * New upstream version 1.27.5 (security release), fixing
    CVE-2018-0503, CVE-2018-0504, CVE-2018-0505.

 -- Kunal Mehta <legoktm@member.fsf.org>  Thu, 20 Sep 2018 13:18:12 -0700

mediawiki (1:1.27.4-1~deb9u1) stretch-security; urgency=high

  * Imported Upstream version 1.27.4 (security release), fixing
    CVE-2017-8809, CVE-2017-8810, CVE-2017-8808, CVE-2017-8811,
    CVE-2017-8812, CVE-2017-8814, CVE-2017-8815.
  * Users who used the default configuration should not be affected
    by CVE-2017-9841, but an extra .htaccess file will restrict
    web access to the vendor/ directory.

 -- Kunal Mehta <legoktm@member.fsf.org>  Tue, 14 Nov 2017 15:02:45 -0800
