## mediawiki 1.27.7

=== debian/changelog ===
mediawiki (1:1.27.7-1+deb9u11) stretch-security; urgency=high

  * Backport fix for CVE-2021-44858. This version is not vulnerable to
    CVE-2021-44857 nor CVE-2021-45038.

 -- Kunal Mehta <legoktm@debian.org>  Tue, 14 Dec 2021 19:07:06 -0800

mediawiki (1:1.27.7-1~deb9u10) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2021-35197:
    In MediaWiki bots have certain unintended API access. When a bot account
    has a "sitewide block" applied, it is able to still "purge" pages through
    the MediaWiki Action API (which a "sitewide block" should have prevented).
  * Fix CVE-2021-41798:
    XSS vulnerability in Special:Search.
    Fix CVE-2021-41799:
  * ApiQueryBacklinks can cause a full table scan.

 -- Markus Koschany <apo@debian.org>  Sat, 09 Oct 2021 16:59:52 +0200

mediawiki (1:1.27.7-1~deb9u9) stretch-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Regression update: Fix for CVE-2021-30152 not compatible with
    1.27.7, causing exception error. Backported new fix from 1.31.x

 -- Abhijith PA <abhijith@debian.org>  Thu, 06 May 2021 18:48:30 +0530

mediawiki (1:1.27.7-1~deb9u8+deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * test_patch

 -- Abhijith PA <abhijith@debian.org>  Wed, 05 May 2021 01:36:03 +0530

mediawiki (1:1.27.7-1~deb9u8) stretch-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2021-20270, CVE-2021-27291: Disable pygmentize and
    various lexers.
  * Fix CVE-2021-30152, CVE-2021-30155, CVE-2021-30158, CVE-2021-30159

 -- Abhijith PA <abhijith@debian.org>  Tue, 04 May 2021 19:07:06 +0530

mediawiki (1:1.27.7-1~deb9u7) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2020-15005, backported from upstream
  * Fix CVE-2020-35477, backported from upstream
  * Fix CVE-2020-35479, backported from upstream
  * Fix CVE-2020-35480, backported from upstream

 -- Roberto C. Sánchez <roberto@debian.org>  Tue, 22 Dec 2020 20:05:06 -0500

mediawiki (1:1.27.7-1~deb9u6) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Additional correction for defective patch for CVE-2020-25827 fix (thanks
    to Jan Niehusmann for the patch)

 -- Roberto C. Sánchez <roberto@debian.org>  Wed, 18 Nov 2020 23:12:57 -0500

mediawiki (1:1.27.7-1~deb9u5) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Correct defective patch for CVE-2020-25827 fix (Closes: #971264)
  * Backport lint test via autopkgtest

 -- Roberto C. Sánchez <roberto@debian.org>  Mon, 28 Sep 2020 10:20:09 -0400

mediawiki (1:1.27.7-1~deb9u4) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2020-25813, backported from upstream
  * Fix CVE-2020-25814, backported from upstream
  * Fix CVE-2020-25827, backported from upstream
  * Fix CVE-2020-25828, backported from upstream

 -- Roberto C. Sanchez <roberto@debian.org>  Fri, 25 Sep 2020 20:46:28 -0400

mediawiki (1:1.27.7-1~deb9u3) stretch-security; urgency=medium

  * Fix CVE-2019-19709, backported from upstream
  * Disable personal and sitewide CSS/JS on Special:PasswordReset as a
    hardening measure, backported from upstream

 -- Kunal Mehta <legoktm@debian.org>  Thu, 12 Dec 2019 14:53:50 -0800

mediawiki (1:1.27.7-1~deb9u2) stretch-security; urgency=medium

  * Fix CVE-2019-16738, backported from upstream

 -- Kunal Mehta <legoktm@debian.org>  Sun, 13 Oct 2019 15:21:42 -0700

mediawiki (1:1.27.7-1~deb9u1) stretch-security; urgency=medium

  * New upstream version 1.27.6 and 1.27.7 (security release), fixing
    CVE-2019-12466, CVE-2019-12467, CVE-2019-12468, CVE-2019-12469,
    CVE-2019-12470, CVE-2019-12471, CVE-2019-12472, CVE-2019-12473,
    CVE-2019-12474. The bundled jQuery was also updated, fixing
    CVE-2019-11358.

 -- Kunal Mehta <legoktm@debian.org>  Thu, 06 Jun 2019 23:20:10 -0400
