=== debian/tests/control ===
Tests: lint
Depends: @, php-cli, jsonlint
