## mediawiki 1.30.0

=== debian/changelog ===
mediawiki (1:1.30.0-1) unstable; urgency=medium

  * New upstream version 1.30.0
  * Update Vcs-Browser to use Gerrit/Gitiles as repository viewer
  * Update d/watch for 1.30
  * Update d/copyright for 1.30
  * Rebase patches, dropping php-jwt-fix-shebang.diff
  * Don't try to install any *.phtml
  * Drop Suggests on hhvm
  * Suppress and fix some lintian issues
  * Refer to newly available `/usr/share/common-licenses/CC0-1.0`
  * Standards-Version: 4.1.4
  * Update mediawiki.NEWS for 1.30 release
  * Install composer.json to avoid update.php warning

 -- Kunal Mehta <legoktm@member.fsf.org>  Thu, 12 Apr 2018 21:26:19 -0700
