=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
  dh-buildinfo,
  apache2-dev
 Homepage: https://www.mediawiki.org/
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Vcs-Git: https://gerrit.wikimedia.org/r/mediawiki/debian.git
-Vcs-Browser: https://phabricator.wikimedia.org/diffusion/MDEB/
+Vcs-Browser: https://gerrit.wikimedia.org/g/mediawiki/debian
 Rules-Requires-Root: no
 
 Package: mediawiki
 Architecture: all
 Depends: apache2 | httpd, php, php-mysql | php-pgsql | php-sqlite3 | php-mysqlnd, php-common (>= 5.5.0+dfsg-10~), php-mbstring, php-xml, mime-support, mediawiki-classes (= ${binary:Version}), ${misc:Depends}
 Recommends: default-mysql-server | virtual-mysql-server | postgresql-contrib, php-cli, php-apcu, php-intl, php-curl, php-wikidiff2, python
-Suggests: imagemagick | php-gd, memcached, clamav, hhvm
+Suggests: imagemagick | php-gd, memcached, clamav
 Breaks: fusionforge-plugin-mediawiki (<< 5.2~rc1+1~),
  mediawiki-extensions-ldapauth (<< 2.8~),
  mediawiki-extensions-openid (<< 2.8~),
