## mediawiki 1.31.1

=== debian/changelog ===
mediawiki (1:1.31.1-4) unstable; urgency=medium

  * Update my email address
  * Temporarily add allow-stderr restriction to autopkgtests (Closes: #911829)

 -- Kunal Mehta <legoktm@debian.org>  Thu, 25 Oct 2018 23:19:40 -0700

mediawiki (1:1.31.1-3) unstable; urgency=medium

  * Document removal of CologneBlue and Modern in NEWS (Closes: #909589)
  * Document filesystem structure in README.Debian

 -- Kunal Mehta <legoktm@member.fsf.org>  Wed, 26 Sep 2018 20:41:24 -0700

mediawiki (1:1.31.1-2) unstable; urgency=medium

  * Fix SQLite autopkgtests.
  * Remove bogus version dependency upon php-common.
  * Fix some package-contains-documentation-outside-usr-share-doc issues.

 -- Kunal Mehta <legoktm@member.fsf.org>  Sat, 22 Sep 2018 16:16:02 -0700

mediawiki (1:1.31.1-1) unstable; urgency=medium

  * New upstream version 1.31.1, including fixes for CVE-2018-0503,
    CVE-2018-0505, CVE-2018-0504.
  * Use PlatformSettings.php instead of LocalSettingsGenerator, see NEWS
    for details on how to migrate.
  * Wrap $wgFooterIcons custom config in an $wgExtensionFunctions, so the
    resources path is read after config. (Closes: #863332)
  * SyntaxHighlight extension now uses Python 3.

 -- Kunal Mehta <legoktm@member.fsf.org>  Fri, 21 Sep 2018 23:13:24 -0700
