=== debian/tests/control ===
Tests: lint
Depends: @, php-cli, jsonlint
Restrictions: allow-stderr

Tests: install-sqlite
Depends: @, php-cli, php-sqlite3, curl, sudo, apache2
Restrictions: needs-root, allow-stderr

Tests: install-mysql
Depends: @, php-cli, php-mysql, default-mysql-server, curl, sudo, apache2
Restrictions: needs-root, allow-stderr

Tests: install-postgresql
Depends: @, php-cli, php-pgsql, postgresql, curl, sudo, apache2
Restrictions: needs-root, allow-stderr
