## mediawiki 1.31.2

=== debian/changelog ===
mediawiki (1:1.31.2-1ubuntu1) eoan; urgency=medium

  [ Lars Tangvald ]
  * d/tests: Update for MySQL 8.0
    PHP's mysql connector does not currently support MySQL's new default
    authentication, so another must be specified when creating the user.

  [ Robie Basak ]
  * d/tests: tweak Lars' change to retain old behaviour on older MySQL and on
    MariaDB so that the test suite functions correctly regardless of the
    behaviour required.
  * d/t/control: explicitly test both MySQL and MariaDB in addition to
    whichever is the default.

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 28 Aug 2019 18:30:01 +0000

mediawiki (1:1.31.2-1) unstable; urgency=medium

  [ Kunal Mehta ]
  * New upstream version 1.31.2 (security release), fixing
    CVE-2019-12466, CVE-2019-12467, CVE-2019-12468, CVE-2019-12469,
    CVE-2019-12470, CVE-2019-12471, CVE-2019-12472, CVE-2019-12473,
    CVE-2019-12474. The bundled jQuery was also updated, fixing
    CVE-2019-11358.
  * Fix regex that was breaking file uploads in PHP 7.3
    (Closes: #928716).
  * Sync upstream/signing-key.asc with mediawiki.org.
  * Drop patch merged upstream.
  * Revert "Temporarily add allow-stderr restriction to autopkgtests",
    as it was fixed upstream.

  [ Mark A. Hershberger ]
  * Fix indentation in README.Debian

 -- Kunal Mehta <legoktm@debian.org>  Wed, 05 Jun 2019 22:40:28 -0400
