## mediawiki 1.31.4

=== debian/changelog ===
mediawiki (1:1.31.4-1~deb10u1) buster-security; urgency=medium

  * New upstream version 1.31.4 (security release), fixing
    CVE-2019-16738. Add an additional patch, already merged upstream,
    to fix a fatal error caused by the upstream security patch.

 -- Kunal Mehta <legoktm@debian.org>  Fri, 11 Oct 2019 14:59:46 -0700
