## mediawiki 1.31.5

=== debian/changelog ===
mediawiki (1:1.31.5-1) unstable; urgency=medium

  * New upstream version 1.31.5
  * Incorporate MySQL autopkgtest improvements from Lars Tangvald
    and Robie Basak from Ubuntu:
    * Use a different method besides MySQL 8.0's default authentication
      because PHP doesn't currently support it.
    * Explicitly test MySQL and MariaDB regardless of which one is the
      default.
  * Standards-Version: 4.4.1, no changes needed

 -- Kunal Mehta <legoktm@debian.org>  Sat, 26 Oct 2019 18:01:59 -0700

mediawiki (1:1.31.4-1) unstable; urgency=medium

  * New upstream version 1.31.4 (security release), fixing
    CVE-2019-16738.

 -- Kunal Mehta <legoktm@debian.org>  Fri, 11 Oct 2019 14:47:07 -0700
