=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: mediawiki
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kunal Mehta <legoktm@debian.org>
+Maintainer: Kunal Mehta <legoktm@debian.org>
 Build-Depends: debhelper (>= 10),
  dh-buildinfo,
  apache2-dev
 Homepage: https://www.mediawiki.org/
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://gerrit.wikimedia.org/r/mediawiki/debian.git
 Vcs-Browser: https://gerrit.wikimedia.org/g/mediawiki/debian
 Rules-Requires-Root: no
