=== debian/tests/control ===
--- 
+++ 
@@ -5,14 +5,17 @@
 Depends: @, php-cli, php-sqlite3, curl, sudo, apache2
 Restrictions: needs-root
 
+# default-mysql
 Tests: install-mysql
 Depends: @, php-cli, php-mysql, default-mysql-server, curl, sudo, apache2
 Restrictions: needs-root
 
+# mysql
 Tests: install-mysql
 Depends: @, php-cli, php-mysql, mysql-server, curl, sudo, apache2
 Restrictions: needs-root
 
+# mariadb
 Tests: install-mysql
 Depends: @, php-cli, php-mysql, mariadb-server, curl, sudo, apache2
 Restrictions: needs-root
